Trade
Authorization
Signed mode: every request is signed with your App Key/Secret. Header set:
| Name | Type | Required | Description |
|---|---|---|---|
Authorization | string · header | Required | The account Access Token from the OpenAPI dashboard — passed as the raw token (no Bearer prefix) and included in the signature calculation. |
X-Api-Key | string · header | Required | Your App Key. |
X-Timestamp | string · header | Required | Request timestamp in seconds (Unix epoch). |
X-Api-Signature | string · header | Required | HMAC-SHA256 signature. Format: HMAC-SHA256 SignedHeaders=authorization;x-api-key;x-timestamp, Signature=. |
The API is used to obtain the available, desirable, frozen, to-be-settled, and in-transit funds (fund purchase and redemption) information for each currency of the user.
Request
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
currency | string | Optional | Currency (HKD, USD, CNH) |
Response
Response properties
| Name | Type | Required | Description |
|---|---|---|---|
list | object[] | Optional | Account Balance |
└ total_cash | string | Optional | Total Cash |
└ max_finance_amount | string | Optional | Maximum Financing Amount |
└ remaining_finance_amount | string | Optional | Remaining Financing Amount |
└ risk_level | string | Optional | Risk control level. <b>Option:</b>, `0` - safe, `1` - medium risk, `2` - early warning, `3` - danger |
└ margin_call | string | Optional | Margin Call |
└ currency | string | Optional | Currency |
└ cash_infos | object[] | Optional | Cash Details |
└ ∟ withdraw_cash | string | Optional | Withdraw Cash |
└ ∟ available_cash | string | Optional | Available Cash |
└ ∟ frozen_cash | string | Optional | Frozen Cash |
└ ∟ settling_cash | string | Optional | Cash to be Settled |
└ ∟ redemption_cash | string | Optional | Redeemable cash. |
└ ∟ currency | string | Optional | Currency |
└ net_assets | string | Optional | net asset |
└ init_margin | string | Optional | initial margin |
└ maintenance_margin | string | Optional | maintenance margin |
└ buy_power | string | Optional | Buy Power |
└ frozen_transaction_fees | array | Optional | frozen fees |
Response JSON example
{
"code": 0,
"data": {
"list": [
{
"total_cash": "1759070010.72",
"max_finance_amount": "977582000",
"remaining_finance_amount": "0",
"risk_level": "1",
"margin_call": "2598051051.50",
"currency": "HKD",
"net_assets": "24145.90",
"init_margin": "1540.09",
"maintenance_margin": "1540.09",
"buy_power": "1759070.12",
"cash_infos": [
{
"withdraw_cash": "97592.30",
"available_cash": "195902464.37",
"frozen_cash": "11579339.13",
"settling_cash": "207288537.81",
"currency": "HKD"
},
{
"withdraw_cash": "199893416.74",
"available_cash": "199893416.74",
"frozen_cash": "28723.76",
"settling_cash": "-276806.51",
"currency": "USD"
}
],
"frozen_transaction_fees": [
{
"currency": "USD",
"frozen_transaction_fee": "6.51"
}
]
}
]
}
}Error code
See the Error Codes page for the full list of error codes.